import 'package:flutter/material.dart';
import 'package:pinput/pinput.dart';

class SmsVerificationScreen extends StatelessWidget {
  const SmsVerificationScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: const Text('SMS Verification')),
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            const Text(
              'Enter the 6-digit code sent to you',
              textAlign: TextAlign.center,
              style: TextStyle(fontSize: 16),
            ),
            const SizedBox(height: 20),
            Pinput(
              length: 6,
              onCompleted: (pin) {
                // TODO: Handle OTP completion
              },
            ),
            const SizedBox(height: 20),
            ElevatedButton(onPressed: () {}, child: const Text('Verify')),
          ],
        ),
      ),
    );
  }
}
